//
// Created by #Suyghur, on 2021/10/15.
//

#ifndef XINRUIGAMESDK_HEX_KIT_H
#define XINRUIGAMESDK_HEX_KIT_H

#include <cstdint>

#ifdef __cplusplus
extern "C"{
#endif

class HexKit {
public:
    static char *HexEncode(const uint8_t *input, size_t len);

    static uint8_t *HexDecode(const char *hex);

private:
    static inline int Hex2Char(const char hex, char *out);
};

#ifdef __cplusplus
}
#endif


#endif //XINRUIGAMESDK_HEX_KIT_H
